Method: namespaces.instances.get

Get an Instance.

HTTP request

GET https://run.googleapis.com/apis/run.googleapis.com/v1/{name}

Path parameters

Parameters
name

string

Required. The fully qualified name of the Instance to retrieve. It can be any of the following forms:

  • namespaces/{project_id_or_number}/instances/{instance_name} (only when the endpoint is regional)
  • projects/{project_id_or_number}/locations/{region}/instances/{instance_name}
  • projects/{project_id_or_number}/regions/{region}/instances/{instance_name}

Parent resource namespace. It takes the form namespaces/{namespace}/instances/{instance}.

Authorization requires the following IAM permission on the specified resource name:

  • run.instances.get

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Instance.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.